alt-tab selects incorrect window when using workspaces

Bug #1211261 reported by Alan Pope 🍺🐧🐱 πŸ¦„ on 2013-08-12
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Medium
John Lea
Unity
Fix Released
Medium
Christopher Townsend
unity (Ubuntu)
Medium
Christopher Townsend

Bug Description

On latest Saucy if you have apps open across multiple workspaces, alt-tabbing doesn't take you to the previously used app.

Steps to reproduce.

Starting with a blank desktop, open a browser and a terminal on workspace 1
Ensure terminal is the focussed app
Switch to workspace 2, and open a new terminal there
Switch back to workspace 1 where terminal is still the focussed app.
Attempt to switch to the browser, by alt-tabbing once

You get left with the terminal focussed, not switched to the browser.

Expected behaviour.
Alt-tabbing from an app should take you to the most recently used previous app.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: unity 7.1.0+13.10.20130809.1-0ubuntu1
ProcVersionSignature: Ubuntu 3.10.0-6.17-generic 3.10.3
Uname: Linux 3.10.0-6-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.12-0ubuntu3
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,grid,imgpng,gnomecompat,scale,workarounds,mousepoll,regex,wall,move,place,vpswitch,resize,unitymtgrabhandles,snap,session,expo,ezoom,unityshell]
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Mon Aug 12 11:35:58 2013
DistUpgraded: 2013-07-12 17:19:26,874 DEBUG Running PostInstallScript: './xorg_fix_proprietary.py'
DistroCodename: saucy
DistroVariant: ubuntu
EcryptfsInUse: Yes
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:21da]
InstallationDate: Installed on 2012-06-29 (408 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: LENOVO 4287CTO
MarkForUpload: True
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.10.0-6-generic root=UUID=c8438547-b9fb-46af-8012-4663c77c70e7 ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: Upgraded to saucy on 2013-07-12 (30 days ago)
dmi.bios.date: 12/05/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: 8DET67WW (1.37 )
dmi.board.asset.tag: Not Available
dmi.board.name: 4287CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8DET67WW(1.37):bd12/05/2012:svnLENOVO:pn4287CTO:pvrThinkPadX220:rvnLENOVO:rn4287CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 4287CTO
dmi.product.version: ThinkPad X220
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.9~daily13.04.18.1~13.04-0ubuntu3
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.1.4-0ubuntu8
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.1.4-0ubuntu8
version.xserver-xorg-core: xserver-xorg-core 2:1.14.2-0ubuntu9
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.12-1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.8-0ubuntu3
xserver.bootTime: Mon Aug 12 09:21:59 2013
xserver.configfile: default
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:

xserver.version: 2:1.14.2-0ubuntu9

Related branches

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
John Lea (johnlea) on 2013-08-12
Changed in ayatana-design:
assignee: nobody → John Lea (johnlea)
importance: Undecided → Medium
status: New → Fix Committed
Changed in unity:
status: New → Triaged
Changed in unity:
status: Triaged → In Progress
assignee: nobody → Christopher Townsend (townsend)
importance: Undecided → Medium
Changed in unity (Ubuntu):
status: Confirmed → In Progress
importance: Undecided → Medium
assignee: nobody → Christopher Townsend (townsend)
Changed in unity:
milestone: none → 7.1.1
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:unity at revision None, scheduled for release in unity, milestone 7.1.1

Changed in unity:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.1.0+13.10.20130816.3-0ubuntu1

---------------
unity (7.1.0+13.10.20130816.3-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Make sure we emit row_added signals for all rows present in a model
    when changing a model Model::SetModel(). (LP: #1212580)

  [ Andrew McCarthy ]
  * added photo lens shortcut to the shortcuts hint window (lp:
    #1069644). (LP: #1069644)

  [ Stephen M. Webb ]
  * added photo lens shortcut to the shortcuts hint window (lp:
    #1069644). (LP: #1069644)
  * removed debug output thatcould cause a potential security problem
    (lp: #1051921). (LP: #1051921)

  [ Nick Dedekind ]
  * Don't re-add the rows for filters and categories if the model
    changes.
  * Fixed duplicate categories in scope caused by full resync on model
    change. (LP: #1212945)

  [ Chris Townsend ]
  * Fix issue where the same app on different workspaces would not allow
    alt-tab to work properly when trying to switch to the last used app
    on the same workspace. (LP: #1211261)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3473
 -- Ubuntu daily release <email address hidden> Fri, 16 Aug 2013 11:47:59 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Stephen M. Webb (bregma) wrote :

Fix Released in Nux Unity 7.1.1.

Changed in unity:
status: Fix Committed → Fix Released
tags: added: rls-w-incoming
To post a comment you must log in.